Skip to main content
GET
/
api
/
Conversation
/
paged
Get paginated conversations
curl --request GET \
  --url https://api.example.com/api/Conversation/paged \
  --header 'Authorization: <api-key>'
{
  "items": [
    {
      "id": 123,
      "active": true,
      "liveAgent": true,
      "from": "<string>",
      "conversationId": "<string>",
      "waterMark": "<string>",
      "token": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "finishedAt": "2023-11-07T05:31:56Z",
      "queuedAt": "2023-11-07T05:31:56Z",
      "lastConversationUpdateTime": "2023-11-07T05:31:56Z",
      "lastMessageContent": "<string>",
      "contactName": "<string>",
      "userId": 123,
      "userName": "<string>",
      "counterpartUserId": 123,
      "counterpartUserName": "<string>",
      "botId": 123,
      "botName": "<string>",
      "fileUrl": "<string>",
      "fileName": "<string>",
      "tenantId": 123,
      "conversationSummary": "<string>",
      "messages": [
        {
          "id": 123,
          "createdAt": "2023-11-07T05:31:56Z",
          "from": "<string>",
          "to": "<string>",
          "content": "<string>",
          "conversationId": 123,
          "sentiment": "<string>",
          "offset": "<string>",
          "isNPS": true,
          "contentSid": "<string>",
          "messageType": 0,
          "mediaUrl": "<string>",
          "mediaFileName": "<string>",
          "tenantId": 123,
          "userId": 123,
          "contentVariables": "<string>",
          "messageSid": "<string>",
          "messageStatus": 0,
          "sent": true,
          "delivered": true,
          "read": true,
          "errorCode": "<string>",
          "errorMessage": "<string>",
          "isReadByUser": true,
          "documentId": 123
        }
      ],
      "score": 123,
      "finalScore": 123,
      "checklistId": 123,
      "channelId": 123,
      "conversationIntegrationType": 0,
      "duration": "<string>",
      "highImportanceErrorDetected": true,
      "tags": [
        {
          "id": 123,
          "name": "<string>",
          "active": true,
          "createdAt": "2023-11-07T05:31:56Z",
          "tenantId": 123
        }
      ],
      "conversationEvaluationStatus": 0,
      "conversationEvaluationStatusMessage": "<string>",
      "queueId": 123,
      "queueName": "<string>",
      "conversationEndedReasonId": 123,
      "agentType": 0,
      "conversationType": 0,
      "applicationStatusId": 123,
      "overallSentiment": "<string>",
      "callStatus": "<string>",
      "disconnectionReason": "<string>",
      "callSuccessful": true,
      "totalUnreadedMessagesByUser": 123,
      "dynamicVariables": [
        {
          "id": 123,
          "name": "<string>",
          "value": "<string>",
          "conversationId": 123
        }
      ],
      "dataCollection": [
        {
          "id": 123,
          "name": "<string>",
          "value": "<string>",
          "conversationId": 123
        }
      ],
      "agentId": 123
    }
  ],
  "totalCount": 123
}

Authorizations

Authorization
string
header
required

Fill the JWT token. Bearer {your_token}

Query Parameters

EnableFilter
enum<integer>
Available options:
0,
1,
2
LiveAgentFilter
enum<integer>
Available options:
0,
1,
2
CallSuccessfulFilter
enum<integer>
Available options:
0,
1,
2
UserIds
integer<int32>[]
BotIds
integer<int32>[]
TagIds
integer<int32>[]
From
string
CreatedAtStart
string<date-time>
CreatedAtEnd
string<date-time>
FinishedAt
string<date-time>
ConversationFilterQueue
enum<integer>
Available options:
0,
1,
2
IntegrationType
enum<integer>
Available options:
0,
1,
2,
3,
4,
5,
6,
7,
8,
9,
10,
11,
12,
13,
14,
15,
16,
17,
18
ConversationEvaluationStatus
enum<integer>
Available options:
0,
1,
2,
3,
4
QueueIds
integer<int32>[]
ConversationType
enum<integer>
Available options:
0,
1,
2,
3,
4,
5,
6,
99
Page
integer<int32>
PageSize
integer<int32>
UserId
integer<int32>
BotId
integer<int32>
TagId
integer<int32>

Response

OK

items
object[] | null
totalCount
integer<int32>